:root {
  --Subdued: #2b2d42;
  --Secondary: #8d99ae;
  --Primary: #edf2f4;
  --Accent: #ef233c;
  background: var(--Primary) !important;
}

body {
  font-size: 16px/1.6;
  background: var(--Primary) !important;

  display: flex;
  flex-direction: column;
  align-items: center;
}

h1 h2 {
  font-family: Impact, Haettenschweiler, "Arial Narrow Bold", sans-serif;
}

h1 {
  font-size: 48px;
}

h2 {
  font-size: 32px;
}

button {
  border-radius: 8px;
}

/* Custom CSS. */

.flexbox {
  display: flex;
}

.full {
  width: 100%;
  height: 100%;
}

.nomargin {
  margin: 0px !important;
}

.flexrow {
  flex-direction: row;
}

.flexcol {
  flex-direction: column;
}

.navbar {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center !important;

  width: 100%;

  background-color: var(--Subdued);
  overflow: hidden;
  color: white;
}

#navbar {
  border-bottom: 1px solid var(--Accent);
  padding-bottom: 0px;
}

.navbar ul {
  margin-bottom: 0px;
  list-style: none;
  padding: 0px;
}

.navbar li {
  margin: 5px;
}

.navbar-container {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;

  width: 100%;

  margin: 0px 0.5rem 0px 0.5rem;
  padding-bottom: 6px;
}

.searchbar input {
  border-radius: 8px;
  border: none;
}

.subbar {
  border-top: 1px solid var(--Secondary);
  width: 100%;
}

main {
  background: var(--Primary);
  width: 100%;
}

#main-body {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.card {
  background: var(--Secondary);
  border-radius: 8px;
  padding: 1rem;
  margin: 0rem 1rem 0rem 1rem;

  color: white;
}

#hero {
  width: 100%;
  height: 300px;
  border-radius: 8px;
  margin-top: 1rem;

  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: flex-end;

  background-image: url("../images/coffee-hero.jpg");
  background-size: cover;
  background-position: center bottom;
  background-repeat: no-repeat;
  background-color: var(--Secondary);
  background-clip: border-box;
}

#hero button {
  width: 20%;
  background-color: var(--Subdued);
  color: white;

  appearance: none;
  border: var(--Secondary) 2px solid;
  border-radius: 8px;
}

#products {
  display: flex;
  flex-direction: column;
  padding: 1rem 1rem 0px 1rem;
  margin-top: 0px;
}

#products div {
    margin: 0px 0px 1rem 0px;
}

#filters {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
}

#filters ul {
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  align-items: center;
  padding: 0px;
  margin: 0px;
}

#filters li {
  list-style: none;
}

#product-list {
  display: grid;
  gap: 1rem;
}

.button {
  background-color: var(--Accent);
  color: white;
  border: none;
  border-radius: 8px;
  padding: 0.5rem 1rem 0.5rem 1rem;
  font-size: 16px;
  cursor: pointer;
}

#footer {
    width: 100%;
    height: 100px;
    text-align: center;
    background-color: var(--Subdued);
    color: white;
    margin-top: 1rem;
    padding: 1rem;

    align-items: center;
    justify-content: space-between;
    overflow: hidden;
}

#information {
    display: flex;
    align-items: center;
    justify-content: center;

    width: 100%;
    padding: 1rem;
    margin: 0px;
    font-size: 14px;
    color: var(--Secondary);
    text-align: center;
    flex-grow: 1;
    gap: 1rem;
}

#information li {
    list-style: none;
}

#copyright {
    display: flex;
    align-items: center;
    justify-content: center;

    margin: 0px;
    padding: 1rem;
    font-size: 14px;
    color: var(--Secondary);
    flex-grow: 0;
}

#copyright p {
    margin: 0px;
}

@media screen and (min-width: 768px) {
  .navbar-container {
    max-width: 80%;
  }
  .subbar {
    max-width: 80%;
  }
  #main-body {
    max-width: 80%;
  }
  #products {
    flex-direction: row;
    padding: 1rem 0px 0px 1rem;
  }
  #products div {
    margin: 0px 1rem 0px 0px;
  }
  #filters {
    width: 20%;
    align-items: flex-end;
    justify-content: flex-start;
    height: 100%;
  }
  #filters ul {
    height: 100%;
    flex-direction: column;
    align-items: flex-start;
    padding: 0px;
    margin: 0px;
  }
  #filters li {
    list-style: none;
  }
  #product-list {
    grid-template-columns: repeat(3, 3fr);
    flex-grow: 3;
  }
  #information {
    flex-direction: row;
    gap: 2rem;
  }
}
